All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Portal |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.webapp.contextsharing
Class RequestActionMenuData

    com.sas.webapp.contextsharing.RequestActionMenuData

All Implemented Interfaces:
  java.io.Serializable

    @SASScope(value="ALL")
    public class RequestActionMenuData

implements java.io.Serializable

This class represents the data that is stored/retrieved for the PFS_REQUEST_ACTIONMENU array of data.

Since:
  07NOV2002
See Also:
  Serialized Form

Constructor Summary
`RequestActionMenuData()` Constructs the object with null data.
`RequestActionMenuData(java.lang.String url, java.lang.String label, java.lang.String uniqueLabel)` Constructs the object with all data.

Method Summary
`java.lang.String` | `getLabel()` Gets the label.
`java.lang.String` | `getUniqueLabel()` Gets the unique label.
`java.lang.String` | `getUrl()` Gets the url.
`void` | `setLabel(java.lang.String label)` Set the label.
`void` | `setUniqueLabel(java.lang.String uniqueLabel)` Sets the unique label.
`void` | `setUrl(java.lang.String url)` Sets the url.

Constructor Detail

### RequestActionMenuData

    public RequestActionMenuData()

  Constructs the object with null data.

### RequestActionMenuData

    public RequestActionMenuData(java.lang.String url,
                                 java.lang.String label,
                                 java.lang.String uniqueLabel)

  Constructs the object with all data.

  Parameters:
    `url` - The url for this action menu item.
    `label` - The user displayed labrl for this menu item. This string should be internationalized.
    `uniqueLabel` - The unique label for this action menu item. This string should not be internationalized since it is used programatically to identify what this action menu item is.

Method Detail

### getUrl

    public java.lang.String getUrl()

  Gets the url.

  Returns:
    The url.

### setUrl

    public void setUrl(java.lang.String url)

  Sets the url.

  Parameters:
    `url` - The url to set.

### getLabel

    public java.lang.String getLabel()

  Gets the label. This should be an internationalized string.

  Returns:
    The label.

### setLabel

    public void setLabel(java.lang.String label)

  Set the label. This should be an internationalized string.

  Parameters:
    `label` - The label to set.

### getUniqueLabel

    public java.lang.String getUniqueLabel()

  Gets the unique label. This string should not be internationalized.

  Returns:
    The unique label

### setUniqueLabel

    public void setUniqueLabel(java.lang.String uniqueLabel)

  Sets the unique label. This string should not be internationalized.

  Parameters:
    `uniqueLabel` - The inique label.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Portal |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.